petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMDASetOffset

Sets the index offset of the DA.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDASetOffset(DM da, PetscInt xo, PetscInt yo, PetscInt zo, PetscInt Mo, PetscInt No, PetscInt Po)

Collective on DA

### Input Parameter

| da | - The DMDA
| xo | - The offset in the x direction
| yo | - The offset in the y direction
| zo | - The offset in the z direction

### Notes

This is used primarily to overlap a computation on a local DA with that on a global DA without changing boundary conditions or subdomain features that depend upon the global offsets.

### Keywords

distributed array, degrees of freedom

### See Also

DMDAGetOffset(), DMDAVecGetArray()

### Level

intermediate

### Location

src/dm/impls/da/da.c
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages